<?php
/**
 * @package Vertigo
 */
?>

	</div><!-- #main -->

	<nav id="access" role="navigation">
		<h1 class="section-heading"><?php _e( 'Main menu', 'vertigo' ); ?></h1>
		<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
	</nav><!-- #access -->

	<?php
		/* A sidebar in the footer? Yep. You can can customize
		 * your footer with three columns of widgets.
		 */
		get_sidebar( 'footer' );
	?>

	<footer id="colophon" role="contentinfo">

		<a id="wordpress-logo" title="<?php esc_attr_e( 'Proudly powered by WordPress', 'vertigo' ); ?>" href="http://wordpress.com/">WordPress</a>

		<?php get_search_form(); ?>

		<ul id="controls">
			<li class="search">
				<a href="#" title="<?php esc_attr_e( 'Search', 'vertigo' ); ?>"><?php _e( 'Search', 'vertigo' ); ?></a>
			</li>
			<li class="feed">
				<a href="<?php bloginfo( 'rss_url' ); ?>" title="<?php esc_attr_e( 'RSS feed', 'vertigo' ); ?>"><?php _e( 'RSS feed', 'vertigo' ); ?></a>
			</li>
			<li class="random"><?php
				$random_posts = get_posts( array(
					'numberposts' => 1,
					'orderby'     => 'rand',
				) );

				if ( $random_posts ) {
					$random_post = array_shift( $random_posts );
					printf( '<a href="%1$s" title="%2$s">%3$s</a>',
						esc_url( get_permalink( $random_post->ID ) ),
						esc_attr__( 'Random', 'vertigo' ),
						esc_html__( 'Random', 'vertigo' )
					);
				}
			?></li>
		</ul>

		<?php
			if ( is_single() ) {
		?>
				<nav id="nav-below">
					<div class="nav-previous"><?php previous_post_link( '%link', '%title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title' ); ?></div>
				</nav>
		<?php
			} else {
				if ( $wp_query->max_num_pages > 1 ) : ?>
					<nav id="nav-below" class="clear-fix">
						<div class="nav-previous"><?php next_posts_link( __( 'Older posts', 'vertigo' ) ); ?></div>
						<div class="nav-next"><?php previous_posts_link( __( 'Newer posts', 'vertigo' ) ); ?></div>
					</nav>
		<?php
				endif;

				if ( is_singular() || is_404() ) {
					// do nothing
				} else {
					vertigo_pagination();
				}
			}
		?>

		<div id="site-generator">
			<?php printf( __( 'Inspired by the work of %1$s, %2$s, and %3$s. Hitchcock typeface by %4$s.', 'vertigo' ), '<a href="http://saulbass.tv">SAUL BASS</a>', 'ART GOODMAN', 'DAVE NAGATA', '<a href="http://typographica.org/001110.php" target="_blank">MATT TERICH</a>' );?><br />
			<a href="http://wordpress.org/" title="<?php esc_attr_e( 'A Semantic Personal Publishing Platform', 'vertigo' ); ?>" rel="generator"><?php printf( __( 'Proudly powered by %s', 'vertigo' ), 'WordPress' ); ?></a>
			<?php printf( __( 'Theme: %1$s by %2$s.', 'vertigo' ), 'Vertigo', '<a href="http://matthewbuchanan.name/" rel="designer">Matthew Buchanan</a>' ); ?>
		</div>

	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>